import cv2
import numpy as np

def binary(image):
    hsv = cv2.cvtColor(image, cv2.COLOR_BGR2HSV)
    lower_blue = np.array([30, 100, 100])
    upper_blue = np.array([50, 195, 255])
    mask = cv2.inRange(hsv, lower_blue, upper_blue)    
    return mask

def line_center(mask):
    h, w = mask.shape
    search_top = 3*h/4
    search_bot = search_top + 20
    mask[0:search_top, 0:w] = 0
    mask[search_bot:h, 0:w] = 0
    M = cv2.moments(mask)
    if M['m00'] > 0:
        cx = int(M['m10']/M['m00'])
        cy = int(M['m01']/M['m00'])
    else:
        cx, cy = None, None
    return cx, cy
